DateSplitter (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.db
Class DateSplitter

    java.lang.Object
      org.apache.hadoop.mapreduce.lib.db.IntegerSplitter
          org.apache.hadoop.mapreduce.lib.db.DateSplitter

All Implemented Interfaces:
  DBSplitter

Direct Known Subclasses:
  OracleDateSplitter

    public class DateSplitter

extends IntegerSplitter

Implement DBSplitter over date/time values. Make use of logic from IntegerSplitter, since date/time are just longs in Java.

Constructor Summary
`DateSplitter()`

Method Summary
`protected String` | `dateToString(Date d)` Given a Date 'd', format it as a string for use in a SQL date comparison operation.
`List<InputSplit>` | `split(Configuration conf, ResultSet results, String colName)` Given a ResultSet containing one record (and already advanced to that record) with two columns (a low value, and a high value, both of the same type), determine a set of splits that span the given values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateSplitter

    public DateSplitter()

Method Detail

### split

    public List<InputSplit> split(Configuration conf,
                                  ResultSet results,
                                  String colName)
                           throws SQLException

  Description copied from interface: `DBSplitter`
  Given a ResultSet containing one record (and already advanced to that record) with two columns (a low value, and a high value, both of the same type), determine a set of splits that span the given values.

  Specified by:
    `split` in interface `DBSplitter`
  Overrides:
    `split` in class `IntegerSplitter`
  Throws:
    `SQLException`

### dateToString

    protected String dateToString(Date d)

  Given a Date 'd', format it as a string for use in a SQL date comparison operation.

  Parameters:
    `d` - the date to format.
  Returns:
    the string representing this date in SQL with any appropriate quotation characters, etc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation